Subject: Re: git-svn problems with branches containing spaces

From: Eric Wong <[email-masked]>
Date: Wed, 11 Jul 2007 01:29:07 -0700

Gerrit Pape <[email-masked]> wrote:
> On Wed, Jun 27, 2007 at 08:53:06AM +0200, Ewald, Robert wrote:
> > As I have reported yesterday on IRC, git-svn has problems with branches
> > containing spaces.
> > I get the following message, when I want to clone from the repository
> > containing a branch with a space.
> > Cloning until the revision the branch is created everything works fine.
> > 
> > fatal: refs/remotes/Modbus Error Limit Fix: cannot lock the ref
> > update-ref -m r1897 refs/remotes/Modbus Error Limit Fix
> > ff0819c8e9c97c24e9865bc868c503fd9b64f980: command returned error: 128
> > 
> > Thanks for your help.
> 
> Hi, the same problem has been reported some time ago through
>  http://bugs.debian.org/430518
> 
> There's a patch attached to the report, but from a first glance, I don't
> think it's the solution.

That patch is definitely not a correct solution.  If another branch came
along with the same name as an automatically renamed one, it would break
things badly.

I started working on a patch that allowed the user to interactively
specify replacement branch names, but never got around to finishing
it:

http://permalink.gmane.org/gmane.comp.version-control.git/45651

-- 
Eric Wong